> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solo.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or renew an institution attestation for a product.

> Create a new institution-level attestation scoped to the caller's entity and product.

The attestation is valid for 12 months from the time it is created.
Creating a new attestation does not revoke prior ones; the most
recently created active attestation for a given product is treated
as the current one.

Parameters
----------
`body` : `InstitutionAttestationCreateRequest`.
    Attestation payload.

Returns
-------
`response` : `InstitutionAttestationResponse`.
    The newly created attestation record.



## OpenAPI

````yaml POST /v1/institution-attestation
openapi: 3.1.0
info:
  title: SOLO Network API
  version: v1
servers:
  - url: https://api.solo.one
    description: Production
  - url: https://api.sandbox.solo.one
    description: Sandbox
security: []
paths:
  /v1/institution-attestation:
    post:
      tags:
        - Institution Attestation
      summary: Create or renew an institution attestation for a product.
      description: >-
        Create a new institution-level attestation scoped to the caller's entity
        and product.


        The attestation is valid for 12 months from the time it is created.

        Creating a new attestation does not revoke prior ones; the most

        recently created active attestation for a given product is treated

        as the current one.


        Parameters

        ----------

        `body` : `InstitutionAttestationCreateRequest`.
            Attestation payload.

        Returns

        -------

        `response` : `InstitutionAttestationResponse`.
            The newly created attestation record.
      operationId: create_institution_attestation_v1_institution_attestation_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstitutionAttestationCreateRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstitutionAttestationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    InstitutionAttestationCreateRequest:
      properties:
        product_id:
          type: string
          format: uuid
          title: Product Id
        signed_by_name:
          type: string
          title: Signed By Name
        signed_by_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Signed By Title
        attestation_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Attestation Data
      type: object
      required:
        - product_id
        - signed_by_name
      title: InstitutionAttestationCreateRequest
    InstitutionAttestationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        entity_id:
          type: string
          format: uuid
          title: Entity Id
        product_id:
          type: string
          format: uuid
          title: Product Id
        signed_by_name:
          type: string
          title: Signed By Name
        signed_by_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Signed By Title
        signed_at:
          type: string
          format: date-time
          title: Signed At
        expires_at:
          type: string
          format: date-time
          title: Expires At
        status:
          type: string
          title: Status
        attestation_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Attestation Data
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
      type: object
      required:
        - id
        - entity_id
        - product_id
        - signed_by_name
        - signed_by_title
        - signed_at
        - expires_at
        - status
        - attestation_data
        - created_at
      title: InstitutionAttestationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````